> For the complete documentation index, see [llms.txt](https://docs.thryve.health/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thryve.health/further-resources/v5-api-reference/update-end-user-information.md).

# Update end user information

## Upload or update UserInformation for a user

> Update a user’s basic information (e.g., height, weight, birthdate, gender).<br>

```json
{"openapi":"3.1.0","info":{"title":"Thryve API","version":"5.0.0"},"servers":[{"url":"https://api.thryve.de"}],"paths":{"/v5/userInformation":{"put":{"summary":"Upload or update UserInformation for a user","tags":["End User"],"description":"Update a user’s basic information (e.g., height, weight, birthdate, gender).\n","parameters":[{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your username:password. Required for all endpoints"},{"name":"AppAuthorization","in":"header","required":true,"schema":{"type":"string"},"description":"Basic Auth for your authID:authSecret. Required for all endpoints."},{"name":"authenticationToken","in":"header","required":true,"schema":{"type":"string"},"description":"The unique identifier of a user in Thryve's system. Newer interfaces call this parameter endUserId."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserInformationUpload"}}}},"responses":{"204":{"description":"Upload successful."},"400":{"description":"Error response (invalid payload, unauthorized, etc.).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"schemas":{"UserInformationUpload":{"type":"object","properties":{"height":{"type":"integer","description":"Height in centimeters."},"weight":{"type":"number","format":"float","description":"Weight in kilograms."},"birthdate":{"type":"string","format":"date","description":"Birthdate in YYYY-MM-DD format."},"gender":{"type":"string","description":"Gender as a string (male, female, genderless)."}},"description":"Payload for updating basic user information."},"ErrorResponse":{"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thryve.health/further-resources/v5-api-reference/update-end-user-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
